Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageDivergence Class Reference

`#include <vtkImageDivergence.h>`

Inheritance diagram for vtkImageDivergence:

[legend]
Collaboration diagram for vtkImageDivergence:

[legend]
List of all members.

## Detailed Description

Divergence of a vector field.

Date:
  2002/01/22 15:32:21

Revision:
  1.29

vtkImageDivergence takes a 3D vector field and creates a scalar field which which represents the rate of change of the vector field. The definition of Divergence: Given V = P(x,y,z), Q(x,y,z), R(x,y,z), Divergence = dP/dx + dQ/dy + dR/dz.

Created by:
  - Law, Charles
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (53%)
  - Law, Charles (26%)
  - Lorensen, Bill (8%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageDivergence.h)`
  - .`cxx` (`/Imaging/vtkImageDivergence.cxx)`

Tests:
  vtkImageDivergence (Tests)

Definition at line 51 of file vtkImageDivergence.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkImageDivergence * | New ()
int | IsTypeOf (const char *type)
vtkImageDivergence * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageDivergence ()
| ~vtkImageDivergence ()
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageDivergence::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 55 of file vtkImageDivergence.h.

## Constructor & Destructor Documentation

vtkImageDivergence::vtkImageDivergence | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkImageDivergence.h.

vtkImageDivergence::~vtkImageDivergence | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkImageDivergence.h.

## Member Function Documentation

vtkImageDivergence* vtkImageDivergence::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageDivergence::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageDivergence::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageDivergence::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageDivergence* vtkImageDivergence::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageDivergence::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageDivergence::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageDivergence::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 63 of file vtkImageDivergence.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageDivergence::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

The documentation for this class was generated from the following file:

- Imaging/vtkImageDivergence.h